Package writer2xhtml.api

# Interface GraphicConverter

public interface GraphicConverter
A simple interface for a graphic converter which converts between various graphics formats

## Method Summary

Modifier and Type
Method
Description
`byte[]`
`convert(byte[] source, String sSourceMime, String sTargetMime)`
Convert a graphics file from one format to another
`boolean`
`supportsConversion(String sSourceMime, String sTargetMime, boolean bCrop, boolean bResize)`
Check whether a certain conversion is supported by the converter

## Method Details

### supportsConversion

boolean supportsConversion(String sSourceMime, String sTargetMime, boolean bCrop, boolean bResize)
Check whether a certain conversion is supported by the converter

Parameters:
  `sSourceMime` - a string containing the source Mime type
  `sTargetMime` - a string containing the target Mime type
  `bCrop` - true if the target graphic should be cropped
  `bResize` - true if the target graphic should be resized (the last two parameters are for future use)
Returns:
  true if the conversion is supported

### convert

byte[] convert(byte[] source, String sSourceMime, String sTargetMime)
Convert a graphics file from one format to another

Parameters:
  `source` - a byte array containing the source graphic
  `sSourceMime` - a string containing the Mime type of the source
  `sTargetMime` - a string containing the desired Mime type of the target
Returns:
  a byte array containing the converted graphic. Returns null if the conversion failed.